Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.cloudwatch
Interface AmazonCloudWatchAsync

All Superinterfaces:
  AmazonCloudWatch

All Known Implementing Classes:
  AmazonCloudWatchAsyncClient

    public interface AmazonCloudWatchAsync

extends AmazonCloudWatch

Interface for accessing AmazonCloudWatch asynchronously, using Java Futures.

Method Summary
`Future<GetMetricStatisticsResult>` | `getMetricStatisticsAsync(GetMetricStatisticsRequest getMetricStatisticsRequest)`
`Future<ListMetricsResult>` | `listMetricsAsync(ListMetricsRequest listMetricsRequest)`

Methods inherited from interface com.amazonaws.services.cloudwatch.AmazonCloudWatch
`getMetricStatistics, listMetrics, listMetrics, setEndpoint, shutdown`

Method Detail

### listMetricsAsync

    Future<ListMetricsResult> listMetricsAsync(ListMetricsRequest listMetricsRequest)
                                               throws AmazonServiceException,
                                                      AmazonClientException

  Parameters:
    `listMetricsRequest` - Container for the necessary parameters to execute the ListMetrics operation on AmazonCloudWatch.
  Returns:
    A Java Future object containing the response from the ListMetrics service method, as returned by AmazonCloudWatch.
  Throws:
    `AmazonClientException` - If any internal errors are encountered inside the client while attempting to make the request or handle the response. For example if a network connection is not available.
    `AmazonServiceException` - If an error response is returned by AmazonCloudWatch indicating either a problem with the data in the request, or a server side issue.

### getMetricStatisticsAsync

    Future<GetMetricStatisticsResult> getMetricStatisticsAsync(GetMetricStatisticsRequest getMetricStatisticsRequest)
                                                               throws AmazonServiceException,
                                                                      AmazonClientException

  Parameters:
    `getMetricStatisticsRequest` - Container for the necessary parameters to execute the GetMetricStatistics operation on AmazonCloudWatch.
  Returns:
    A Java Future object containing the response from the GetMetricStatistics service method, as returned by AmazonCloudWatch.
  Throws:
    `AmazonClientException` - If any internal errors are encountered inside the client while attempting to make the request or handle the response. For example if a network connection is not available.
    `AmazonServiceException` - If an error response is returned by AmazonCloudWatch indicating either a problem with the data in the request, or a server side issue.

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.